package nckd.jxccl.swc.mas.plugin.form.incentivemgmt;

import kd.sdk.plugin.Plugin;

/**
 * 企业负责人中长期激励核定表
 * 实体标识：nckd_entldrmidlongappr
 * @author W.Y.C
 * @date 2025/12/1 9:30
 * @version 1.0
 */
public class EntldrMidlongApprFormPlugin extends AbstractIncentiveApprFormPlugin implements Plugin {

    @Override
    protected String getNotificationMessage() {
        return "未加载到数据，根据【所属二级单位】、【法人组织】及【任期区间】未加载到对应\"子企业负责人薪酬结构\"数据！";
    }
    
    @Override
    protected boolean isTriggerField(String fieldKey) {
        return super.isTriggerField(fieldKey);
    }
}
